package com.eactive.eai.inbound.processor;

import com.eactive.eai.common.message.EAIMessageKeys;

/**
 * request process 에서 사용하기 위한 vo
 * 
 * 추후에는 전역 Context용도로 쓰일수 있음
 * 
 * @author short11
 *
 */
public class ProcessVO 
{ 
	//unknow 메시지정보 시작
	private String uuid = null;//
	private String adapterGroupName  = null;//
	private String adapterName  = null;//
	
	private String eaiSvcCd  = null;//
	private boolean isTasStarted  = false;//
	private long errTm  = 0;//
	private String errTypeCode  = null;//
    //에러정보
	private String rspErrorCode = EAIMessageKeys.EAI_DEFAULT_CODE;
	private String rspErrorMsg = null;
	
	//server정보
	private String serverName = null;//

	private String selectedKey  = null;
	//unknow 메시지정보 종료

	
	//프라퍼티정보
	private String actionName = null;//
	private String stdMsgTypeCode = null;// // [K, N] 값을 가짐 : Standard, Non-Standard
    
    //어댑터정보
	private String adptrMsgType = null;//
	private String inAdapterOsidInstiNo = null;//
	private String testMasterYn = null;//
	private String bidInterface = null;//
	private String inAdapterUserEmpid = null;//
    
    public String getUuid() {
		return uuid;
	}
	public void setUuid(String uuid) {
		this.uuid = uuid;
	}
	public String getAdapterGroupName() {
		return adapterGroupName;
	}
	public void setAdapterGroupName(String adapterGroupName) {
		this.adapterGroupName = adapterGroupName;
	}
	public String getAdapterName() {
		return adapterName;
	}
	public void setAdapterName(String adapterName) {
		this.adapterName = adapterName;
	}
	public String getEaiSvcCd() {
		return eaiSvcCd;
	}
	public void setEaiSvcCd(String eaiSvcCd) {
		this.eaiSvcCd = eaiSvcCd;
	}
	public boolean isTasStarted() {
		return isTasStarted;
	}
	public void setTasStarted(boolean isTasStarted) {
		this.isTasStarted = isTasStarted;
	}
	public long getErrTm() {
		return errTm;
	}
	public void setErrTm(long errTm) {
		this.errTm = errTm;
	}

	public String getErrTypeCode() {
		return errTypeCode;
	}
	public void setErrTypeCode(String errTypeCode) {
		this.errTypeCode = errTypeCode;
	}
	public String getActionName() {
		return actionName;
	}
	public void setActionName(String actionName) {
		this.actionName = actionName;
	}
	public String getStdMsgTypeCode() {
		return stdMsgTypeCode;
	}
	public void setStdMsgTypeCode(String stdMsgTypeCode) {
		this.stdMsgTypeCode = stdMsgTypeCode;
	}
	public String getAdptrMsgType() {
		return adptrMsgType;
	}
	public void setAdptrMsgType(String adptrMsgType) {
		this.adptrMsgType = adptrMsgType;
	}
	public String getInAdapterOsidInstiNo() {
		return inAdapterOsidInstiNo;
	}
	public void setInAdapterOsidInstiNo(String inAdapterOsidInstiNo) {
		this.inAdapterOsidInstiNo = inAdapterOsidInstiNo;
	}
	public String getRspErrorCode() {
		return rspErrorCode;
	}
	public void setRspErrorCode(String rspErrorCode) {
		this.rspErrorCode = rspErrorCode;
	}
	public String getRspErrorMsg() {
		return rspErrorMsg;
	}
	public void setRspErrorMsg(String rspErrorMsg) {
		this.rspErrorMsg = rspErrorMsg;
	}

	public String getTestMasterYn() {
		return testMasterYn;
	}
	public void setTestMasterYn(String testMasterYn) {
		this.testMasterYn = testMasterYn;
	}
	public String getServerName() {
		return serverName;
	}
	public void setServerName(String serverName) {
		this.serverName = serverName;
	}
	public String getBidInterface() {
		return bidInterface;
	}
	public void setBidInterface(String bidInterface) {
		this.bidInterface = bidInterface;
	}
	public String getSelectedKey() {
		return selectedKey;
	}
	public void setSelectedKey(String selectedKey) {
		this.selectedKey = selectedKey;
	}
	public String getInAdapterUserEmpid() {
		return inAdapterUserEmpid;
	}
	public void setInAdapterUserEmpid(String inAdapterUserEmpid) {
		this.inAdapterUserEmpid = inAdapterUserEmpid;
	}
   
} 
